Debian Bug report logs - #595521
i915: system locks up when starting X

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Edward Allcutt <edward@allcutt.me.uk>

Date: Sat, 4 Sep 2010 20:18:01 UTC

Severity: important

Merged with 595103, 595511

Found in versions 2.6.32-21, 2.6.32-23

Fixed in version 2.6.32-24

Done: Edward Allcutt <edward@allcutt.me.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, edward@allcutt.me.uk, edward@allcutt.me.uk, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Sat, 04 Sep 2010 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Allcutt <edward@allcutt.me.uk>:
New Bug report received and forwarded. Copy sent to edward@allcutt.me.uk, edward@allcutt.me.uk, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 04 Sep 2010 20:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Edward Allcutt <edward@allcutt.me.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: i915: system locks up when starting X
Date: Sat, 04 Sep 2010 21:15:33 +0100
Package: linux-2.6
Version: 2.6.32-21
Severity: critical
Justification: breaks the whole system

By "locks up" I mean:
 * Screen blanks
 * Unresponsive to network
 * Unresponsive to sysrq
 * No disk activity
 * No logs written to disk after that point in time

I have xserver-xorg-video-intel 2:2.12.0+legacy1-1 installed. Before rebooting
today I was previously running with this version of the X driver and the
previous version (2.6.32-20) of the kernel.

I had noted with some trepidation the changelog entry about disabling KMS for
i855 as I've been using that with great success for months. I have noted that
the current X package still ships /etc/modprobe.d/i915-kms.conf which forces
modeset=1. I have attempted loading the driver with modeset=0 instead but it
yields the same result.

Looking at the "closed" bugs in the changelog, only #582105 seems to bear on
i855 directly and the information there seems insufficient to warrant disabling
KMS support entirely.

lspci -nn
=================
00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 01)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 01)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 [8086:24c7] (rev 01)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 01)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 81)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 01)
00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 01)
00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 01)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 01)
00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 01)
02:00.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev 8d)
02:00.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 13)
02:01.0 Ethernet controller [0200]: Intel Corporation 82541GI Gigabit Ethernet Controller [8086:1077]
02:02.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
=================

-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=43c39ab8-a297-45d5-a2f6-4fd419c58689 ro quiet

** Not tainted

** Kernel log:
[    1.401739] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[    1.401744] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[    1.401758] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
[    1.401787] uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001860
[    1.401827] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[    1.401831] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.401834] usb usb4: Product: UHCI Host Controller
[    1.401838] usb usb4: Manufacturer: Linux 2.6.32-5-686 uhci_hcd
[    1.401841] usb usb4: SerialNumber: 0000:00:1d.2
[    1.401962] usb usb4: configuration #1 chosen from 1 choice
[    1.402040] hub 4-0:1.0: USB hub found
[    1.402049] hub 4-0:1.0: 2 ports detected
[    1.402277] ata_piix 0000:00:1f.1: version 2.13
[    1.402288] ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
[    1.402294] ata_piix 0000:00:1f.1: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    1.402337] ata_piix 0000:00:1f.1: setting latency timer to 64
[    1.402855] sdhci: Secure Digital Host Controller Interface driver
[    1.402858] sdhci: Copyright(c) Pierre Ossman
[    1.405856] scsi0 : ata_piix
[    1.406467] scsi1 : ata_piix
[    1.407657] ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x1810 irq 14
[    1.407661] ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x1818 irq 15
[    1.637426] e1000: 0000:02:01.0: e1000_probe: (PCI:33MHz:32-bit) 00:0a:e4:2a:6b:b1
[    1.804417] ata1.00: ATA-5: HITACHI_DK13FA-40B, 00MCA0B4, max UDMA/100
[    1.804423] ata1.00: 78140160 sectors, multi 16: LBA 
[    1.812283] ata1.00: configured for UDMA/100
[    1.812431] scsi 0:0:0:0: Direct-Access     ATA      HITACHI_DK13FA-4 00MC PQ: 0 ANSI: 5
[    1.827801] e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
[    1.827831] sdhci-pci 0000:02:00.1: SDHCI controller found [1180:0822] (rev 13)
[    1.827850] sdhci-pci 0000:02:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    1.829945] Registered led device: mmc0::
[    1.831003] mmc0: SDHCI controller on PCI [0000:02:00.1] using PIO
[    1.832866] sd 0:0:0:0: [sda] 78140160 512-byte logical blocks: (40.0 GB/37.2 GiB)
[    1.832942] sd 0:0:0:0: [sda] Write Protect is off
[    1.832946] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.832978] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.833158]  sda: sda1 sda2
[    1.964426] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.148013] usb 4-1: new full speed USB device using uhci_hcd and address 2
[    2.233517] JFS: nTxBlock = 3949, nTxLock = 31592
[    2.352752] usb 4-1: New USB device found, idVendor=1668, idProduct=2441
[    2.352758] usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=3
[    2.352762] usb 4-1: SerialNumber: 〳㈴〱〳㈱㜴
[    2.352897] usb 4-1: configuration #1 chosen from 1 choice
[    6.720303] udev: starting version 160
[    8.386580] Non-volatile memory driver v1.3
[    8.656319] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1
[    8.656559] ACPI: Lid Switch [LID]
[    8.656967] input: Sleep Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2
[    8.656978] ACPI: Sleep Button [SLPB]
[    8.657113] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
[    8.657119] ACPI: Power Button [PWRF]
[    8.667438] ACPI: AC Adapter [AC] (on-line)
[    8.708185] ACPI: Battery Slot [BAT0] (battery present)
[    8.727652] ACPI: Battery Slot [BAT2] (battery present)
[    8.877032] intel_rng: FWH not detected
[    8.945955] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input4
[    8.946047] ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
[    8.947507] Marking TSC unstable due to TSC halts in idle
[    8.948642] processor LNXCPU:00: registered as cooling_device0
[    8.955342] Switching to clocksource acpi_pm
[    9.544584] thinkpad_acpi: ThinkPad ACPI Extras v0.23
[    9.544588] thinkpad_acpi: http://ibm-acpi.sf.net/
[    9.544591] thinkpad_acpi: ThinkPad BIOS 1UETD3WW (2.08 ), EC 1UHTB2WW-1.62
[    9.544594] thinkpad_acpi: IBM ThinkPad X40, model 2386H6G
[    9.554303] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is unblocked
[    9.555191] Registered led device: tpacpi::thinklight
[    9.555432] Registered led device: tpacpi::power
[    9.555657] Registered led device: tpacpi::standby
[    9.561281] input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input5
[    9.686629] IBM TrackPoint firmware: 0x0e, buttons: 3/3
[    9.702216] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/input/input6
[   10.027585] i801_smbus 0000:00:1f.3: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[   10.055229] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   10.142890] [drm] Initialized drm 1.1.0 20060810
[   10.179351] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   10.432289] lib80211: common routines for IEEE802.11 drivers
[   10.432294] lib80211_crypt: registered algorithm 'NULL'
[   10.806628] ieee80211: 802.11 data/management/control stack, git-1.1.13
[   10.806632] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
[   10.973710] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
[   10.973714] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[   10.973804] ipw2200 0000:02:02.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[   10.973871] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[   10.973929] ipw2200 0000:02:02.0: firmware: requesting ipw2200-bss.fw
[   11.250194] [drm] KMS is not supported on this GPU
[   11.250298] pci 0000:00:02.0: power state changed by ACPI to D0
[   11.250349] pci 0000:00:02.0: power state changed by ACPI to D0
[   11.250359] pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   11.250366] pci 0000:00:02.0: setting latency timer to 64
[   11.260913] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   12.002053] ipw2200: Detected geography ZZR (14 802.11bg channels, 0 802.11a channels)
[   12.465350] Intel ICH 0000:00:1f.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[   12.465389] Intel ICH 0000:00:1f.5: setting latency timer to 64
[   13.388028] intel8x0_measure_ac97_clock: measured 55454 usecs (2672 samples)
[   13.388033] intel8x0: clocking to 48000
[   15.305675] Adding 984304k swap on /dev/sda2.  Priority:-1 extents:1 across:984304k 
[   65.034698] lib80211_crypt: registered algorithm 'CCMP'
[   65.348800] padlock: VIA PadLock not detected.
[   72.588018] eth1: no IPv6 routers present

** Model information
not available

** Loaded modules:
Module                  Size  Used by
aes_i586                6816  2 
aes_generic            25738  1 aes_i586
lib80211_crypt_ccmp     3643  2 
snd_intel8x0           19523  0 
snd_ac97_codec         79148  1 snd_intel8x0
ac97_bus                 710  1 snd_ac97_codec
snd_pcm_oss            28671  0 
snd_mixer_oss          10461  1 snd_pcm_oss
snd_pcm                47214  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_seq_midi            3576  0 
snd_rawmidi            12513  1 snd_seq_midi
snd_seq_midi_event      3684  1 snd_seq_midi
snd_seq                35463  2 snd_seq_midi,snd_seq_midi_event
i915                  221767  0 
ipw2200               108368  0 
drm_kms_helper         18305  1 i915
libipw                 18439  1 ipw2200
snd_timer              12258  2 snd_pcm,snd_seq
lib80211                2870  3 lib80211_crypt_ccmp,ipw2200,libipw
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
shpchp                 21220  0 
drm                   112020  2 i915,drm_kms_helper
pci_hotplug            18065  1 shpchp
i2c_i801                6462  0 
serio_raw               2916  0 
i2c_algo_bit            3497  1 i915
snd                    34363  9 snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
thinkpad_acpi          41975  0 
i2c_core               12696  5 i915,drm_kms_helper,drm,i2c_i801,i2c_algo_bit
psmouse                44657  0 
soundcore               3450  1 snd
snd_page_alloc          5045  2 snd_intel8x0,snd_pcm
evdev                   5609  6 
video                  14605  1 i915
processor              26671  1 
rng_core                2178  0 
rfkill                 10264  1 thinkpad_acpi
battery                 3782  0 
ac                      1640  0 
button                  3598  1 i915
output                  1204  1 video
nvram                   3985  1 thinkpad_acpi
jfs                   134648  1 
sd_mod                 25869  3 
crc_t10dif              1012  1 sd_mod
ata_generic             2019  0 
sdhci_pci               4525  0 
sdhci                  12147  1 sdhci_pci
ata_piix               17736  2 
uhci_hcd               16057  0 
mmc_core               38491  1 sdhci
libata                115721  2 ata_generic,ata_piix
thermal                 9206  0 
led_class               1757  2 thinkpad_acpi,sdhci
e1000                  77289  0 
ehci_hcd               27851  0 
scsi_mod              101401  2 sd_mod,libata
usbcore                98397  3 uhci_hcd,ehci_hcd
nls_base                4541  2 jfs,usbcore
thermal_sys             9378  3 video,processor,thermal

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (700, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.1     tools for generating an initramfs
ii  linux-base                    2.6.32-21  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-free           2.6.32-21  Binary firmware for various driver
ii  libc6-i686                    2.11.2-2   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.32-5-686 suggests:
ii  grub                          0.97-61    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.26       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/prerm/would-invalidate-boot-loader-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/bootloader-test-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/bootloader-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:




Forcibly Merged 595511 595521. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 20:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Sun, 05 Sep 2010 12:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cesare Leonardi <celeonar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Sep 2010 12:36:13 GMT) Full text and rfc822 format available.

Message #12 received at 595521@bugs.debian.org (full text, mbox):

From: Cesare Leonardi <celeonar@gmail.com>
To: Edward Allcutt <edward@allcutt.me.uk>, 595521@bugs.debian.org
Cc: debian-x@lists.debian.org
Subject: Re: Bug#595521: i915: system locks up when starting X
Date: Sun, 05 Sep 2010 14:35:29 +0200
On 09/04/2010 10:15 PM, Edward Allcutt wrote:
> By "locks up" I mean:
>   * Screen blanks
>   * Unresponsive to network
>   * Unresponsive to sysrq
>   * No disk activity
>   * No logs written to disk after that point in time
>
> I have xserver-xorg-video-intel 2:2.12.0+legacy1-1 installed. Before rebooting
> today I was previously running with this version of the X driver and the
> previous version (2.6.32-20) of the kernel.

Hi Edward.
Unfortunately this is a common problem that i855 owners are facing: look 
at #595511.

Kernel-team: to me these two bugs could be merged.

Ciao.

Cesare.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Sun, 05 Sep 2010 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cesare Leonardi <celeonar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Sep 2010 12:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 595521@bugs.debian.org (full text, mbox):

From: Cesare Leonardi <celeonar@gmail.com>
To: 595521@bugs.debian.org
Subject: Re: Bug#595521: i915: system locks up when starting X
Date: Sun, 05 Sep 2010 14:43:01 +0200
On 09/05/2010 02:35 PM, Cesare Leonardi wrote:
> Kernel-team: to me these two bugs could be merged.

Didn't see Julien have already merged them, sorry.

Cesare.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Sun, 05 Sep 2010 13:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Allcutt <edward@allcutt.me.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Sep 2010 13:24:05 GMT) Full text and rfc822 format available.

Message #22 received at 595521@bugs.debian.org (full text, mbox):

From: Edward Allcutt <edward@allcutt.me.uk>
To: Cesare Leonardi <celeonar@gmail.com>
Cc: 595521@bugs.debian.org, debian-x@lists.debian.org, debian-kernel@lists.debian.org
Subject: Re: Bug#595521: i915: system locks up when starting X
Date: Sun, 5 Sep 2010 14:09:55 +0100 (BST)
On Sun, 5 Sep 2010, Cesare Leonardi wrote:
> Unfortunately this is a common problem that i855 owners are facing: look at 
> #595511.
Thanks for the pointer. It looks as though that one went in after I'd checked
for recent bugs but before I finished composing my report. I also managed to
miss all the reports against xserver-xorg-video-intel as I only looked at
those against the kernel.

> Kernel-team: to me these two bugs could be merged.
Since #594623 is considered grave (same issue reported against X driver), any
objection to upping the severity of #595511/#595521 which was downgraded to
important by the forcemerge?

-- 
Edward Allcutt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Sun, 05 Sep 2010 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Sep 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 595521@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Edward Allcutt <edward@allcutt.me.uk>, 595521@bugs.debian.org
Cc: Cesare Leonardi <celeonar@gmail.com>, debian-x@lists.debian.org, debian-kernel@lists.debian.org
Subject: Re: Bug#595521: i915: system locks up when starting X
Date: Sun, 5 Sep 2010 15:29:29 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep  5, 2010 at 14:09:55 +0100, Edward Allcutt wrote:

> >Kernel-team: to me these two bugs could be merged.
> Since #594623 is considered grave (same issue reported against X driver), any
> objection to upping the severity of #595511/#595521 which was downgraded to
> important by the forcemerge?
> 
Yes.  We'll sort things out before release, but having 8xx blacklisted
from KMS is not a critical kernel bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Mon, 06 Sep 2010 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Borden Rhodes <jrvp@bordenrhodes.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Sep 2010 05:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 595521@bugs.debian.org (full text, mbox):

From: Borden Rhodes <jrvp@bordenrhodes.com>
To: 595521@bugs.debian.org
Subject: Re: bug 595521
Date: Mon, 6 Sep 2010 01:55:17 -0400
[Message part 1 (text/plain, inline)]
> Yes. We'll sort things out before release, but from KMS is not a critical
kernel bug.

Well it's critical that our computers return to a _bootable_ state and not
locking up where everything, including the keyboard, is unresponsive.

May we at least get a workaround until the higher brains decide what to do?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Mon, 06 Sep 2010 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Allcutt <edward@allcutt.me.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Sep 2010 08:27:05 GMT) Full text and rfc822 format available.

Message #37 received at 595521@bugs.debian.org (full text, mbox):

From: Edward Allcutt <edward@allcutt.me.uk>
To: Borden Rhodes <jrvp@bordenrhodes.com>, 595521@bugs.debian.org
Cc: Debian Kernel Team <debian-kernel@lists.debian.org>
Subject: Re: Bug#595521: bug 595521
Date: Mon, 6 Sep 2010 09:16:48 +0100 (BST)
On Mon, 6 Sep 2010, Borden Rhodes wrote:
> 
> > Yes. We'll sort things out before release, but from KMS is not a critical kernel bug.
> 
> Well it's critical that our computers return to a _bootable_ state and not locking up where everything, including the keyboard, is unresponsive.
> 
> May we at least get a workaround until the higher brains decide what to do?
I'd suggest either downgrading the kernel or forcing the vesa driver if 
you can live without accelerated video. Put this in /etc/X11/xorg.conf:

Section "Device"
	Identifier "foo"
	Driver "vesa"
EndSection


> 
> 
>




Forcibly Merged 595103 595511 595521. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Thu, 23 Sep 2010 08:51:13 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Thu, 23 Sep 2010 08:51:15 GMT) Full text and rfc822 format available.

Removed tag(s) experimental and moreinfo. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Fri, 24 Sep 2010 09:21:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-23. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Fri, 24 Sep 2010 10:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Fri, 24 Sep 2010 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Sep 2010 21:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 595521@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: control@bugs.debian.org
Cc: 595521@bugs.debian.org, edward@allcutt.me.uk
Subject: system locked up even without starting X
Date: Sat, 25 Sep 2010 05:17:32 +0800
severity 595521 critical
thanks
Critical for the same reasons as in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595521
With the addition that X never need to have been started for the problem
to occur. I.e., use this kernel and be prepared for needing as cold
reboot, fscking, etc. shortly:  #595103.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595521; Package linux-2.6. (Fri, 24 Sep 2010 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Sep 2010 21:21:04 GMT) Full text and rfc822 format available.

Message #55 received at 595521@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
Cc: 595521@bugs.debian.org, edward@allcutt.me.uk
Subject: system locked up even without starting X
Date: Sat, 25 Sep 2010 05:18:58 +0800
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595521
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595521#5




Severity set to 'critical' from 'grave' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Fri, 24 Sep 2010 21:21:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 24 Sep 2010 22:27:06 GMT) Full text and rfc822 format available.

Reply sent to Edward Allcutt <edward@allcutt.me.uk>:
You have taken responsibility. (Fri, 01 Oct 2010 08:21:04 GMT) Full text and rfc822 format available.

Notification sent to Edward Allcutt <edward@allcutt.me.uk>:
Bug acknowledged by developer. (Fri, 01 Oct 2010 08:21:04 GMT) Full text and rfc822 format available.

Message #64 received at 595521-done@bugs.debian.org (full text, mbox):

From: Edward Allcutt <edward@allcutt.me.uk>
To: 595521-done@bugs.debian.org
Subject: Fixed by revert of blacklist i855 for KMS
Date: Fri, 1 Oct 2010 09:06:27 +0100 (BST)
Version: 2.6.32-24

From changelog:
  * [x86] Revert "i915: Blacklist i830, i845, i855 for KMS". The current X
    driver (xserver-xorg-video-intel version 2.12.0+shadow-1) should work
    properly with KMS on these chips.

It works for me.

-- 
Edward Allcutt




Reply sent to Edward Allcutt <edward@allcutt.me.uk>:
You have taken responsibility. (Fri, 01 Oct 2010 08:21:04 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Fri, 01 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Reply sent to Edward Allcutt <edward@allcutt.me.uk>:
You have taken responsibility. (Fri, 01 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Notification sent to Soenke <s.huels@gmx.net>:
Bug acknowledged by developer. (Fri, 01 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:31:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:48:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.